/******************************************************************************
* Filename:      RptToRepConv.H                                               *
* Last Modified: 11/12/97                                                     *
* Author:        Jim Sare                                                     *
*                                                                             *
* Created under agreement with KSoft, Inc. for Borland International, Inc.    *
*                                                                             *
* Copyright (c) 1997 Borland International, Inc.  All Rights Reserved.        *
*                                                                             *
******************************************************************************/
*
#define CRWBAND_RPTHEADER	2000  // 07D0
#define CRWBAND_GRPHEADER	3000  // 0BB8
#define CRWBAND_RPTDETAIL	4000  // 0FA0
#define CRWBAND_GRPFOOTER	5000  // 1388
#define CRWBAND_GRNDTOTAL	6000  // 1770
#define CRWBAND_RPTFOOTER	7000  // 1B58

#define HTML_DEFCOLOR		0
#define HTML_DEFFACE			"MS Sans Serif"
#define HTML_DEFFNSZ			10
#define HTML_DEFBOLD			400
#define HTML_DEFITAL			False
#define HTML_DEFUNLN			False
#define HTML_DEFSTRK			False

#DEFINE QALIAS					1			// Alias of table
#DEFINE QTABLENAME			2			// Table name
#DEFINE QSELECTAREA			3			// Work area
#DEFINE QPARENTFIELD			4			// Field in parent that relates to child
#DEFINE QPARENTTABLE			5			// ALIAS of parent table in relation
#DEFINE QORDER    			6			// Index expression
#DEFINE QERROR					7			// Error code
#DEFINE QTAG					8			// Index tag name

#define MAXLINELEN		78          // For streaming comments to report file
#define CR					Chr(13)
#define LF					Chr(10)
#define NEWLINE			CR + LF
#define ALLTRIM(s)		(LTrim(RTrim(s)))
#define STRIPNULL(s)		(IIf(RAt(Chr(0), s) > 0, Left(s, RAt(Chr(0), s) - 1), s))
#define CHARNUM(n)		(LTrim(Str(n)))

// Extract 8, 16, and 32-bit numeric values from buffered values.
#ifndef MAKE8
   #define MAKE8(cBuff, nIndex)    (Asc(SubStr(cBuff, nIndex)))
#endif
#ifndef MAKEU16
   #define MAKEU16(cBuff, nIndex)  (Int(MAKE8(cBuff, nIndex) +;
                                   BitLShift(MAKE8(cBuff, nIndex + 1), 8)))
#endif
#ifndef MAKEU24
   #define MAKEU24(cBuff, nIndex)  (Int(MAKE8(cBuff, nIndex) +;
                                   BitLShift(MAKE8(cBuff, nIndex + 1), 8) +;
                                   BitLShift(MAKE8(cBuff, nIndex + 2), 16)))
#endif
#ifndef MAKEU32
   #define MAKEU32(cBuff, nIndex)  (Int(MAKE8(cBuff, nIndex) +;
                                   BitLShift(MAKE8(cBuff, nIndex + 1), 8) +;
                                   BitLShift(MAKE8(cBuff, nIndex + 2), 16) +;
                                   BitLShift(MAKE8(cBuff, nIndex + 3), 24)))
#endif

// Create HEX string from WinAPI RGBTriple structure
#ifndef RGBTriple
	#define RGBTriple(cBuff, nIndex) (IToH(MAKEU24(cBuff, nIndex), 6))
#endif

// Extract 8, 16, and 32-bit numeric values from VdB 7 strings.
#ifndef GET8
   #define GET8(cBuff, nIndex)    (cBuff.GetByte(nIndex))
#endif
#ifndef GETU16
   #define GETU16(cBuff, nIndex)  (Int(GET8(cBuff, nIndex) +;
                                   BitLShift(GET8(cBuff, nIndex + 1), 8)))
#endif
#ifndef GETU24
   #define GETU24(cBuff, nIndex)  (Int(GET8(cBuff, nIndex) +;
                                   BitLShift(GET8(cBuff, nIndex + 1), 8) +;
                                   BitLShift(GET8(cBuff, nIndex + 2), 16)))
#endif
#ifndef GETU32
   #define GETU32(cBuff, nIndex)  (Int(GET8(cBuff, nIndex) +;
                                   BitLShift(GET8(cBuff, nIndex + 1), 8) +;
                                   BitLShift(GET8(cBuff, nIndex + 2), 16) +;
                                   BitLShift(GET8(cBuff, nIndex + 3), 24)))
#endif

// DEVMODE dmFields masks
#define DM_ORIENTATION      0x00000001  // Device supports page rotation
#define DM_PAPERSIZE        0x00000002  // Device supports paper sizes
#define DM_PAPERLENGTH      0x00000004
#define DM_PAPERWIDTH       0x00000008
#define DM_SCALE            0x00000010
#define DM_COPIES           0x00000100  // Device supports multiple copies
#define DM_DEFAULTSOURCE    0x00000200  // Device supports multiple sources
#define DM_PRINTQUALITY     0x00000400  // Device supports multiple resolutions
#define DM_COLOR            0x00000800  // Device supports color
#define DM_DUPLEX           0x00001000  // Device supports duplex
#define DM_YRESOLUTION      0x00002000
#define DM_TTOPTION         0x00004000  // Device supports multiple font renderings
#define DM_COLLATE          0x00008000
#define DM_FORMNAME         0x00010000
#define DM_LOGPIXELS        0x00020000
#define DM_BITSPERPEL       0x00040000
#define DM_PELSWIDTH        0x00080000
#define DM_PELSHEIGHT       0x00100000
#define DM_DISPLAYFLAGS     0x00200000
#define DM_DISPLAYFREQUENCY 0x00400000
#define DM_ICMMETHOD        0x00800000
#define DM_ICMINTENT        0x01000000
#define DM_MEDIATYPE        0x02000000
#define DM_DITHERTYPE       0x04000000

// Field Indices Into DEVMODE Structure
#define IND_DMSPECVERSION   33
#define IND_DMDRIVERVERSION 35
#define IND_DMSIZE          37
#define IND_DMDRIVEREXTRA   39
#define IND_DMFIELDS        41
#define IND_DMORIENTATION   45
#define IND_DMPAPERSIZE     47
#define IND_DMPAPERLENGTH   49
#define IND_DMPAPERWIDTH    51
#define IND_DMSCALE         53
#define IND_DMCOPIES        55
#define IND_DMDEFAULTSOURCE 57
#define IND_DMPRINTQUALITY  59
#define IND_DMCOLOR         61
#define IND_DMDUPLEX        63
#define IND_DMYRESOLUTION   65
#define IND_DMTTOPTION      67

// Paper Size Options
#define DMPAPER_LETTER       1   // Letter (8 1/2 x 11 in

// Paper Bin Sources
#define DMBIN_MANUAL         4   // Manual feed

#define OUT_DEFAULT_PRECIS		0
#define CLIP_DEFAULT_PRECIS	0
#define DEFAULT_QUALITY			0
#define DEFAULT_PITCH			0
#define FF_DONTCARE				0
#define ANSI_CHARSET				0

#define LOGPIXELSX				88
#define LOGPIXELSY				90

#define MM_TWIPS					6

