/* ////////////////////////////////////////////////////////////////////
 RptToRepRsc.cc - Text Resource Custom Control for the Visual dBASE 7
   Crystal-to-dBASE Report Conversion Wizard.

   ClassName: 	Class InternationalText
   Purpose:	  	Outputs internationalized text strings in appropriate 
               language for version of Visual dBASE 7

   Methods:		The main method is SetupStrings(),which sets the text
               property of the controls on the Wizard form using
               the language version appropriate to the installed
               version of Visual dBASE 7.

               It also initializes the associative array used for
               the iText method (see following)

               Another method is iText(), which returns strings in
               the proper language for error messages and Msgbox()
               prompts and other dynamic prompts.

               SetupStrings() is used for static text displays
               XText() is used for dynamic text displays


   Version:	1.0 10/4/1997  Updated 10-10-97 AAK

   Author:	A. A. Katz (Ksoft, Inc.), Johnson City, NY
  				(c) Borland International 1997 All Rights Reserved               
*/


Class InternationalText(oForm) of AssocArray

Protect "SetLanguage"

	this.oForm = oForm						// Parent form reference
	this.cLanguage = class::SetLanguage()  // Language Version Indicator

 
/////////////////////////////Method SetUpStrings///////////////////////////
/* Enumerates objects on the Report Converter Wizard and sets text
   properties for the appropriate installed language.
   Syntax: Form.SetText()

   Should be called after Instantiation of oForm but before Open() or
   ReadModal() methods are called.
   Ex:
         f = New RptToRepForm()
         f.oLang= New InternationalText(f)
         f.oLang.SetUpStrings()
*/

Function SetUpStrings

   if this.cLanguage = 'German'

      // Step one: set opening control text values

      this.oForm.IntroText.text		= 	"<p>Dieser Experte Konvertiert Reports und Etiketten "+;
                                   		"von Crystal 3.0 (.rpt,.rpl) zu "+;
                                   		"Report-Klassen (.rep, .lab) von Visual dBASE 7.</p>"
      this.oForm.NextButton.text 	=	"Weiter"
      this.oForm.BackButton.text 	= 	"Zurck"
      this.oForm.HelpButton.text 	= 	"Hilfe"
      this.oForm.CancelButton.text	= 	"Abbrechen"
      this.oForm.EnterPathText.text	=	"Geben Sie den Pfad zu den Quelldateien von Crystal an, die "+;
                                        "konvertiert werden sollen"
      this.oForm.TargetPathLabel.text   =       "Geben Sie den Pfad des neuen Visual dBASE 7-Report ein"
      this.oForm.DisclaimerText.text	=	"Einige Anweisungen und Funktionen, die von QBE-Abfragenvon Visual dBASE "+;
						"untersttzt werden, knnen nicht diekt in Datenklassen von "+;
						"Visual dBASE 7 bertragen werden. Wenn der Experte auf solche Probleme stt, "+;
						" zeigt er auf der letzten Seite eine Liste an. Die gleiche Liste steht "+;
						"ber dem Kopfbereich der generierten .rep- oder "+;
						".lab-Datei. Sie sollten dann die generierte Datei an die ursprngliche "+;
						"QBE-Datei anpassen."
      this.oForm.SourceFileText.text 	= 	"Quell-Report oder -Etikettendatei von Crystal"
      this.oForm.TargetFileText.text 	= 	"Ziel-Report oder-Etikettendatei von Visual dBASE 7"
      this.oForm.ReportRadio.text	=	"Report"
      this.oForm.LabelRadio.text	= 	"Etiketten"
      this.oForm.SelectTypeText.text	=	"Typ auswhlen" 
      this.oForm.ProblemText.text	=	"Der Reportumwandlungs-Experte hat die folgenden "+;
      											"Probleme bei der Konvertierung Ihrer Reports bzw. Etiketten fetsgestellt:"
      this.oForm.SourceFileDisplayText.text =	"Quell-Report oder -Etikettendatei von Crystal:"
      this.oForm.TargetFileDisplayText.text =	"Ziel-Report oder-Etikettendatei von Visual dBASE 7:"
      this.oForm.FinishText.text	=	"<p>Zum Konvertieren der Crystal-Dateien klicken Sie bitte auf Fertigstellen...</p>"
      this.oForm.ProgressLabel.text 	=	"Fortschritt"

         //Step two: Initialize this array for dynamic text

      this["PROGRESS"]			= 	"Fortschritt"
      this["READINGINCRYSTAL"]		= 	"Crystal-Datei lesen..."
      this["STREAMINGVDB"]		=	"dBASE-Report-Objekte in Stream schreiben"
      this["DONE"]			= 	"Fertig"
      this["FILEALREADYEXISTS"]		= 	'"Datei "+cVar+" existiert bereits. Soll die existierende Datei berschrieben werden?"'
      this["OVERWRITE"]			= 	"berschreiben?"
      this["WRONGFILETYPE"]		= 	"Falscher Dateityp!"
      this["NOTDBASELABEL"]		= 	"Keine .lab-Datei von Visual dBASE!"
      this["FILENOTFOUND"]		= 	"Datei nicht gefunden!"
      this["FILEMISSING"]		= 	"Datei fehlt!"
      this["NOTACRYSTALREPORT"]		= 	"Keine .rpt-Datei von Crystal!"
      this["NOTACRYSTALLABEL"] 		= 	"Keine .rpl-Datei von Crystal!"
      this["PAGE1TITLE"]		= 	"Reportumwandlungs-Experte - Schritt 1 von 4"
      this["PAGE2TITLE"]		= 	"Reportumwandlungs-Experte - Schritt 2 von 4"
      this["PAGE3TITLE"]		= 	"Reportumwandlungs-Experte - Schritt 3 von 4"
      this["PAGE4TITLE"]		= 	"Reportumwandlungs-Experte - Schritt 4 von 4"
      this["NEXT"]			= 	"Weiter"
      this["FINISH"]			= 	"Fertigstellen"
      this["CLOSE"]			= 	"Schlieen"
      this["INVALIDINPUT"]		= 	"Ungltiges Format der Eingabedatei"
      this["UNSUPPORTEDVERSION"]	= 	"Nicht untersttzte Version der Report-Datei"
      this["ORDAMAGEDFILE"]		= 	"Ungltiges Format der Eingabedatei oder Datei ist beschdigt."
      this["BADRECORDLENGTH"]		= 	"Falsche Datensatzlnge aus Eingabedatei gelesen."
      this["GENIOERROR"]		= 	"Allgemeiner E/A-Fehler beim Lesen der Datei."
      this["NOPRINTDC"]			= 	"Kein Gertekontext fr Drucker."
      this["NOPRINTMAPMODE"]		= 	"Druckmodus konnte nicht zugewiesen werden."
      this["NOFONTGDI"]			= 	"Schrift konnte nicht erstellt werden. berprfen Sie die GDI-Ressourcen."
      this["NOFONTDATAGDI"]		= 	"Daten ber die Schrift sind nicht verfgbar. berprfen Sie die GDI-Ressourcen."
      this["FIELDCTMISMATCH"]		= 	"Unterschiedliche Feldanzahl. Korrupte .RPT-Datei." 
      this["FORMULACTMISMATCH"]		=	"Unterschiedliche Formelanzahl. Korrupte .RPT-Datei." 
      this["TEXTCTMISMATCH"]		= 	"Unterschiedliche Textanzahl. Korrupte .RPT-Datei." 
      this["NOQUERYFILE"]		= 	"Im Ordner des Reports existiert die Abfragedatei nicht."
      this["BKCOLORNOTSUPPORTED"]	= 	"Hintergrundfarben fr Text-Klassen werden in "+;
                                   		"Reports nicht untersttzt."
      this["PENTYPENOTSUPPORTED"]	= 	"Unbekannter oder nicht untersttzter Pinseltyp fr "+;
                                   		"Linie oder Zeichenobjekt."
      this["AGPOPVAR"]           	= 	"Nicht untersttzte Aggregatfunktion: Varianz"
      this["AGPOPDEV"]           	= 	"Nicht untersttzte Aggregatfunktion: Standardabweichung"
      this["AGDISCNT"]           	= 	"Nicht untersttzte Aggregatfunktion: Eindeutige Anzahl"
      this["AGUNKNOWN"]          	= 	"Unbekannte Aggregatfunktion"
      this["SFRECNO"]            	= 	"Nicht untersttztes Spezialfeld: Datensatznummer"
      this["SFGRPNUM"]           	= 	"Nicht untersttztes Spezialfeld: Gruppennummer"
      this["SFUNKNOWN"]          	= 	"Unbekanntes Spezialfeld"
      this["NOIMAGEFILE"]        	= 	"Grafikdatei konnte nicht gefunden werden."
      this["LABELTYPE"]          	= 	"Etikettentyp"
      this["LABELSTYLE"]         	= 	"Etikettenart"
      this["WIZARDNAME"]         	= 	"Reportumwandlungs-Experte"
      this["NOFILECREATE"]       	= 	"Ausgabedatei fr Report konnte nicht erstellt werden"
      this["FILENAME"]			=	"Dateiname"
      this["CREATEDBY"]        		= 	"Erstellt von"
      this["CREATEDFROM"]		= 	"Erstellt aus"
      this["CREATEDON"]          	=	"Erstellt ber"
      this["CREATEDAT"]          	=	"am"
      this["COMMENTSFROM"]       	=	"Kommentare von"
      this["EXCEPTIONLOG"]       	=	"Protokoll der Exceptions"
      this["NOREMOVELINE"]       	=	"Diese Zeile nicht entfernen"
      this["CONVERTEDON"]        	=	"Konvertiert aus"
      this["TABLERELATIONS"]     	= 	"Der Report enthlt verknpfte Tabellen. Die SQL-Anweisung sollte gendert werden."
      this["HASFORMULAS"]        	=	"Der Report enthlt eine Formel, die angepat werden sollte."
      this["HASOLEITEM"]         	=	"Der Report enthlt OLE-Objekte. Lschen Sie das OLE-Objekt und starten Sie die Konvertierung neu."
      this["HASGROUPFORMULA"]		=	"Formeln werden in Reportgruppen nicht untersttzt"
      this["RECSELCRIT"]		=	"Die Auswahlkriterien fr Datenstze wurden nicht bernommen"
      this["DATAFILE"]			=	"Datendatei"


   elseif this.cLanguage = 'Spanish'

      // Step one: set opening control text values

      this.oForm.IntroText.text 	= 	"<p>Este Experto convierte informes y etiquetas"+;
                                   		" Crystal 3.0 (.rpt,.rpl) en clases de informes "+;
                                   		"de Visual dBASE (.rep, .lab).</p>"
      this.oForm.NextButton.text 	=	"Siguiente"
      this.oForm.BackButton.text 	= 	"Atrs"
      this.oForm.HelpButton.text 	= 	"Ayuda"
      this.oForm.CancelButton.text		= 	"Cancelar"
      this.oForm.EnterPathText.text	=	"Introduzca la va de acceso del archivo Crystal que desea convertir"
      this.oForm.TargetPathLabel.text  =   "Introduzca la va de acceso del informe Visual dBASE resultante"
      this.oForm.DisclaimerText.text	=	"Algunos comandos y funciones de consultas QBE de Visual dBASE "+;
      										"no se convierten directamente en clases de datos de Visual dBASE 7. "+;
                                       "Si el Experto encontrara problemas de esta ndole, "+;
                                       "presentar una lista en la ltima pgina. Esta misma lista "+;
                                       "se incluir encima de la cabecera del archivo .rep o .lab"+;
                                       " que se genere. Puede resultar necesario alguna modificacin para "+;
                                       " que el archivo generado coincida con la consulta original."
      this.oForm.SourceFileText.text = "Archivo origen Crystal de informe o etiquetas"
      this.oForm.TargetFileText.text = "Archivo destino Visual dBASE 7 de informes o etiquetas"
      this.oForm.ReportRadio.text	=	"Informe"
      this.oForm.LabelRadio.text	= 	"Etiquetas"
      this.oForm.SelectTypeText.text=	"Seleccione el tipo" 
      this.oForm.ProblemText.text	=	"El Experto de conversin de informes ha encontrado los siguientes "+;
      											"problemas durante la conversin del archivo original:"
      this.oForm.SourceFileDisplayText.text = "Archivo origen Crystal de informe o etiquetas:"
      this.oForm.TargetFileDisplayText.text = "Archivo destino Visual dBASE 7 de informes o etiquetas:"
      this.oForm.FinishText.text	=	"<p>Pulse Finalizar para iniciar la conversin del archivo Crystal...</p>"
      this.oForm.ProgressLabel.text =	"Avance"

         //Step two: Initialize this array for dynamic text

      this["PROGRESS"]				= "Avance"
      this["READINGINCRYSTAL"]   	= "Leyendo archivo Crystal..."
      this["STREAMINGVDB"]			= "Extrayendo objetos Report de dBASE"
      this["DONE"]					= "Concluido"
      this["FILEALREADYEXISTS"]		= '"El archivo "+cVar+" ya existe. Desea reemplazarlo?"'
      this["OVERWRITE"]				= "Sobreescribir?"
      this["WRONGFILETYPE"]			= "Tipo errneo de archivo"
      this["NOTDBASELABEL"]			= "No es un archivo .lab de Visual dBASE"
      this["FILENOTFOUND"]			= "No se encuentra el archivo"
      this["FILEMISSING"]			= "Falta archivo"
      this["NOTACRYSTALREPORT"]		= "No es un archivo .rpt de Crystal"
      this["NOTACRYSTALLABEL"] 		= "No es un archivo .rpl de Crystal"                      
      this["PAGE1TITLE"]			= "Experto de conversin de informes - Paso 1 de 4"
      this["PAGE2TITLE"]			= "Experto de conversin de informes - Paso 2 de 4"
      this["PAGE3TITLE"]			= "Experto de conversin de informes - Paso 3 de 4"
      this["PAGE4TITLE"]			= "Experto de conversin de informes - Paso 4 de 4"
      this["NEXT"]					= "Siguiente"
      this["FINISH"]					= "Finalizar"
      this["CLOSE"]					= "Cerrar"
      this["INVALIDINPUT"]			= "Formato de archivo no vlido"
      this["UNSUPPORTEDVERSION"]	= "Versin de archivo de informe no aceptada"
      this["ORDAMAGEDFILE"]		= "Formato de archivo no vlido o archivo daado."
      this["BADRECORDLENGTH"]		= "Longitud de registro incorrecta en archivo de entrada."
      this["GENIOERROR"]			= "Error general de E/S leyendo el archivo."
      this["NOPRINTDC"]				= "No se obtuvo contexto para dispositivo de impresin."
      this["NOPRINTMAPMODE"]		= "Imposible configurar modo de mapeo de impresora."
      this["NOFONTGDI"]				= "Imposible crear fuente. Verifique los recursos GDI."
      this["NOFONTDATAGDI"]		= "Imposible obtener datos de la fuente. Verifique los recursos GDI."
      this["FIELDCTMISMATCH"]		= "No coincide el nmero de campos. Archivo .RPT daado." 
      this["FORMULACTMISMATCH"]	= "No coincide el nmero de frmulas. Archivo .RPT daado."  
      this["TEXTCTMISMATCH"]		= "No coicide el nmero de campos de texto. Archivo .RPT daado."
      this["NOQUERYFILE"]			= "El archivo de consulta no se encuentra en el directorio de informes."
      this["BKCOLORNOTSUPPORTED"]= "Los informes no admiten colores de fondo para "+;
                                   "la clase Text."
      this["PENTYPENOTSUPPORTED"]= "Tipo de pluma para lnea o forma "+;
                                   "desconocido o no admitido."
      this["AGPOPVAR"]           = "Funcin de totalizacin no admitida: Population Variance"
      this["AGPOPDEV"]           = "Funcin de totalizacin no admitida: Population Std Deviation"
      this["AGDISCNT"]           = "Funcin de totalizacin no admitida: Distinct Count"
      this["AGUNKNOWN"]          = "Funcin de totalizacin desconocida"
      this["SFRECNO"]            = "Campo especial no admitido: Record Number"
      this["SFGRPNUM"]           = "Campo especial no admitido: Group Number"
      this["SFUNKNOWN"]          = "Campo especial desconocido"
      this["NOIMAGEFILE"]        = "Imposible encontrar archivo de imagen."
      this["LABELTYPE"]          = "Tipo de etiqueta"
      this["LABELSTYLE"]         = "Estilo de etiqueta"
      this["WIZARDNAME"]         = "Experto de conversin de informes"
      this["NOFILECREATE"]       = "Imposible crear archivo de informe"
		this["FILENAME"]         = "Nombre de archivo"
      this["CREATEDBY"]          = "Creado por"
      this["CREATEDFROM"]        = "Creado con"
      this["CREATEDON"]          = "Creado el"
      this["CREATEDAT"]          = "en"
      this["COMMENTSFROM"]       = "Comentarios de"
      this["EXCEPTIONLOG"]       = "Registro de excepciones de la conversin"
      this["NOREMOVELINE"]       = "no eliminar esta lnea"
      this["CONVERTEDON"]        = "Convertido el"
      this["TABLERELATIONS"]     = "El informe contiene tablas relacionadas. Puede ser necesario retocar el SQL."
      this["HASFORMULAS"]        = "El informe contiene una frmula que puede necesitar alguna modificacin."
      this["HASOLEITEM"]         = "El informe contiene elementos OLE. Brrelos y reintente la conversin."
 

   elseif this.cLanguage = 'Italian'

      // Step one: set opening control text values

      this.oForm.IntroText.text		= 	"<p>Questo Wizard serve per convertire report ed "+;
                                   		"etichette create in Crystal 3.0 (.rpt,.rpl) in classi "+;
                                   		"Report di Visual dBASE 7 (.rep, .lab).</p>"
      this.oForm.NextButton.text 	=	"Avanti"
      this.oForm.BackButton.text 	= 	"Indietro"
      this.oForm.HelpButton.text 	= 	"?"
      this.oForm.CancelButton.text	= 	"Annulla"
      this.oForm.EnterPathText.text		=	"Immettere il percorso del file sorgente di Crystal da convertire"
      this.oForm.TargetPathLabel.text   =   "Immettere il percorso del report di Visual dBASE 7 da generare"
      this.oForm.DisclaimerText.text	=	"Alcuni comandi e funzioni supportate nelle query QBE di "+;
                                      		"Visual dBASE non possono essere tradotte direttamente in "+;
                                      		"classi Data di Visual dBASE 7. Nel caso il Wizard riscontri "+;
                                      		"tali problemi, ne presenter un elenco nell'ultima pagina. Lo "+;
                                      		"stesso elenco verr incluso subito prima dell'header del file "+;
                                      		".rep o .lab generato. Potrebbe essere necessario modificare il "+;
                                      		"file generato in modo che corrisponda alla QBE originale."
      this.oForm.SourceFileText.text 	=	"File etichetta o report di Crystal"
      this.oForm.TargetFileText.text 	=	"File etichetta o report di Visual dBASE 7"
      this.oForm.ReportRadio.text	=	"Report"
      this.oForm.LabelRadio.text	= 	"Etichetta"
      this.oForm.SelectTypeText.text	=	"Selezionare il tipo"
      this.oForm.ProblemText.text	=	"Il Wizard Conversione report ha riscontrato il seguente "+;
                        			"problema durante la conversione del report o dell'etichetta:"+;
      this.oForm.SourceFileDisplayText.text = 	"File etichetta o report di Crystal:"
      this.oForm.TargetFileDisplayText.text = 	"File etichetta o report di Visual dBASE 7:"
      this.oForm.FinishText.text	=	"<p>Fare clic su Termina per convertire il file di Crystal...</p>"
      this.oForm.ProgressLabel.text 	=	"Stato di avanzamento"

         //Step two: Initialize this array for dynamic text

      this["PROGRESS"]           	= 	"Stato di avanzamento"
      this["READINGINCRYSTAL"]   	= 	"Lettura del file Crystal in corso..."
      this["STREAMINGVDB"]       	= 	"Produzione degli oggetti Report di dBASE"
      this["DONE"]               	= 	"Fine"
      this["FILEALREADYEXISTS"]  	= 	'"Il file "+cVar+" esiste gi. Sostituire il file esistente?"'
      this["OVERWRITE"]          	= 	"Sovrascrivere?"
      this["WRONGFILETYPE"]      	=	"Tipo di file errato!"
      this["NOTDBASELABEL"]      	=	"Non  un file .lab di Visual dBASE!"
      this["FILENOTFOUND"]       	=	"File non trovato!"
      this["FILEMISSING"]        	=	"File mancante!"
      this["NOTACRYSTALREPORT"]  	=	"Non  un file .rpt di Crystal!"
      this["NOTACRYSTALLABEL"]   	=	"Non  un file .rpl di Crystal!"                      
      this["PAGE1TITLE"]         	=	"Wizard Conversione Report - Passo 1 di 4"
      this["PAGE2TITLE"]         	=	"Wizard Conversione Report - Passo 2 di 4"
      this["PAGE3TITLE"]         	=	"Wizard Conversione Report - Passo 3 di 4"
      this["PAGE4TITLE"]         	=	"Wizard Conversione Report - Passo 4 di 4"
      this["NEXT"]               	=	"Avanti"
      this["FINISH"]             	=	"Termina"
      this["CLOSE"]              	=	"Chiudi"
      this["INVALIDINPUT"]       	=	"Formato del file di origine non valido"
      this["UNSUPPORTEDVERSION"] 	=	"Versione di file report non supportata"
      this["ORDAMAGEDFILE"]      	=	"Formato del file di origine non valido o file danneggiato."
      this["BADRECORDLENGTH"]    	=	"Lettura dal sorgente di una lunghezza record non corretta."
      this["GENIOERROR"]         	=	"Errore di I/O generale durante la lettura del file."
      this["NOPRINTDC"]          	=	"Impossibile ottenere il contesto del dispositivo di stampa."
      this["NOPRINTMAPMODE"]     	=	"Impossibile impostare la modalit mapping della stampante."
      this["NOFONTGDI"]          	=	"Impossibile creare il font. Controllare le risorse GDI."
      this["NOFONTDATAGDI"]      	=	"Impossibile ottenere i dati del font. Controllare le risorse GDI."
      this["FIELDCTMISMATCH"]    	=	"Mancata corrispondenza del contatore campi. File .RPT danneggiato." 
      this["FORMULACTMISMATCH"]  	=	"Mancata corrispondenza del contatore formule. File .RPT danneggiato."  
      this["TEXTCTMISMATCH"]     	=	"Mancata corrispondenza del contatore testo. File .RPT danneggiato."
      this["NOQUERYFILE"]        	=	"Il file query non esiste nella directory del report."
      this["BKCOLORNOTSUPPORTED"]	=	"I colori di sfondo delle classi Text non sono supportati "+;
                                   		"nei report."
      this["PENTYPENOTSUPPORTED"]	=	"Tipo di penna sconosciuto o non supportato per la "+;
                                   		"linea o per il simbolo."
      this["AGPOPVAR"]           	=	"Funzione di aggregazione non supportata: Varianza della popolazione"
      this["AGPOPDEV"]           	=	"Funzione di aggregazione non supportata: Deviazione std della popolazione"
      this["AGDISCNT"]           	=	"Funzione di aggregazione non supportata: Conteggio distinct"
      this["AGUNKNOWN"]          	=	"Funzione di aggregazione sconosciuta"
      this["SFRECNO"]            	=	"Campo speciale non supportato: Numero di record"
      this["SFGRPNUM"]           	=	"Campo speciale non supportato: Numero di gruppo"
      this["SFUNKNOWN"]          	=	"Campo speciale sconosciuto"
      this["NOIMAGEFILE"]        	=	"Impossibile trovare il file immagine."
      this["LABELTYPE"]          	=	"Tipo di etichetta"
      this["LABELSTYLE"]         	=	"Stile dell'etichetta"
      this["WIZARDNAME"]         	=	"Wizard Conversione report"
      this["NOFILECREATE"]       	=	"Impossibile creare il file di report di destinazione"
      this["FILENAME"]           	=	"Nome file"
      this["CREATEDBY"]          	=	"Creato da"
      this["CREATEDFROM"]        	=	"A partire da"
      this["CREATEDON"]          	=	"Creato il"
      this["CREATEDAT"]          	=	"Alle"
      this["COMMENTSFROM"]       	=	"Commenti di"
      this["EXCEPTIONLOG"]       	=	"Registro delle eccezioni in conversione"
      this["NOREMOVELINE"]       	=	"non eliminare questa linea"
      this["CONVERTEDON"]        	=	"Convertito il"
      this["TABLERELATIONS"]     	=	"Il report contiene tabelle correlate. Potrebbe essere necessario modificare l'SQL."
      this["HASFORMULAS"]        	=	"Il report contiene una formula che potrebbe richiedere modifiche."
      this["HASOLEITEM"]         	=	"Il report contiene elementi OLE. Eliminare gli elementi OLE e riprovare la conversione."
      this["HASGROUPFORMULA"]		=	"Le formule non sono supportate nei gruppi del report."
      this["RECSELCRIT"]		=	"Criteri di selezione record non applicati."
      this["DATAFILE"]			=	"File dati"


//   elseif // Language = s

   
   else// US English for all others

       // NOTE: the code in this case is for test purposes only. 
       // It Should be remarked out for production as controls are already
       // initialized to these text values


       		// Step one: set opening control text values

      this.oForm.IntroText.text		= 	"<p>This Wizard will convert reports and labels "+;
                                   		"written in Crystal 3.0 (.rpt,.rpl) to Visual dBASE 7 "+;
                                   		"Report Classes (.rep, .lab).</p>"
      this.oForm.NextButton.text 	=	"Next"
      this.oForm.BackButton.text 	= 	"Back"
      this.oForm.HelpButton.text 	= 	"Help"
      this.oForm.CancelButton.text	= 	"Cancel"
      this.oForm.EnterPathText.text	=	"Enter the path to the Crystal source file to be converted"
      this.oForm.TargetPathLabel.text = "Enter the path to the target Visual dBASE 7 report" 
      this.oForm.DisclaimerText.text	=	"Some commands and functions supported in Visual dBASE "+;
						"QBE queries do not translate directly into Visual dBASE 7 "+;
						"Data Classes. If this Wizard encounters any such problems, "+;
						"it will present a list on the last page. The same list will "+;
						"be embedded above the header in the generated .rep or "+;
						".lab file. You may have to adjust the generated file to "+;
						"match your original QBE."
      this.oForm.SourceFileText.text 	=	"Source Crystal Report or Label File"
      this.oForm.TargetFileText.text 	=	"Target Visual dBASE 7 Report or Label File"
      this.oForm.ReportRadio.text	=	"Report"
      this.oForm.LabelRadio.text	= 	"Label"
      this.oForm.SelectTypeText.text	=	"Select type" 
      this.oForm.ProblemText.text	=	"The Report Conversion Wizard encountered the following "+;
      											"problems converting your report or label:"
      this.oForm.SourceFileDisplayText.text = 	"Source Crystal Report or Label File:"
      this.oForm.TargetFileDisplayText.text = 	"Target Visual dBASE 7 Report or Label File:"
      this.oForm.FinishText.text	=	"<p>Click Finish to convert your Crystal file...</p>"
      this.oForm.ProgressLabel.text 	=	"Progress"

      //Step two: Initialize this array for dynamic text

      this["PROGRESS"] 			= 	"Progress"
      this["READINGINCRYSTAL"]		= 	"Reading in Crystal file..."
      this["STREAMINGVDB"]		= 	"Streaming Out dBASE Report Objects"
      this["DONE"]			= 	"Done"
      this["FILEALREADYEXISTS"]		= 	'"File "+cVar+" already exists. Replace existing file?"'
      this["OVERWRITE"]			= 	"Overwrite?"
      this["WRONGFILETYPE"]		= 	"Wrong File Type!"
      this["NOTDBASELABEL"]		= 	"Not a Visual dBASE .lab file!"
      this["FILENOTFOUND"]		= 	"File not found!"
      this["FILEMISSING"]		= 	"File Missing!"
      this["NOTACRYSTALREPORT"]		=	"Not a Crystal .rpt file!"
      this["NOTACRYSTALLABEL"]		=	"Not a Crystal .rpl file!"                      
      this["PAGE1TITLE"]		=	"Report Conversion Wizard - Step 1 of 4"
      this["PAGE2TITLE"]		=	"Report Conversion Wizard - Step 2 of 4"
      this["PAGE3TITLE"]		=	"Report Conversion Wizard - Step 3 of 4"
      this["PAGE4TITLE"]		=	"Report Conversion Wizard - Step 4 of 4"
      this["NEXT"]			=	"Next"
      this["FINISH"]			=	"Finish"
      this["CLOSE"]			=	"Close"
      this["INVALIDINPUT"]		=	"Invalid input file format"
      this["UNSUPPORTEDVERSION"]	=	"Unsupported report file version"
      this["ORDAMAGEDFILE"]		=	"Invalid input file format or damaged file."
      this["BADRECORDLENGTH"]		=	"Incorrect record length read from input file."
      this["GENIOERROR"]		=	"General I/O error while reading file."
      this["NOPRINTDC"]			=	"Unable to obtain printer device context."
      this["NOPRINTMAPMODE"]		=	"Unable to set printer mapping mode."
      this["NOFONTGDI"]			=	"Unable to create font. Check GDI resources."
      this["NOFONTDATAGDI"]		=	"Unable to get font data. Check GDI resources."
      this["FIELDCTMISMATCH"]		=	"Field count mismatch. Corrupt .RPT file." 
      this["FORMULACTMISMATCH"]		=	"Formula count mismatch. Corrupt .RPT file."  
      this["TEXTCTMISMATCH"]		=	"Text count mismatch. Corrupt .RPT file."
      this["NOQUERYFILE"]		=	"Query file does not exist in report directory."
      this["BKCOLORNOTSUPPORTED"]	=	"Background colors for Text class are not "+;
                                   		"Supported in reports."
      this["PENTYPENOTSUPPORTED"]	=	"Unknown or unsupported pen type specified for "+;
                                   		"line or shape."
      this["AGPOPVAR"]           	=	"Unsupported aggregate function: Population Variance"
      this["AGPOPDEV"]           	=	"Unsupported aggregate function: Population Std Deviation"
      this["AGDISCNT"]           	=	"Unsupported aggregate function: Distinct Count"
      this["AGUNKNOWN"]          	=	"Unknown aggregate function"
      this["SFRECNO"]            	=	"Unsupported special field: Record Number"
      this["SFGRPNUM"]           	=	"Unsupported special field: Group Number"
      this["SFUNKNOWN"]          	=	"Unknown special field"
      this["NOIMAGEFILE"]        	=	"Could not locate image file."
      this["LABELTYPE"]          	=	"Label Type"
      this["LABELSTYLE"]         	=	"Label Style"
      this["WIZARDNAME"]        	=	"Report Conversion Wizard"
      this["NOFILECREATE"]       	=	"Could not create report output file"
      this["FILENAME"]			=	"Filename"
      this["CREATEDBY"]          	=	"Created By"
      this["CREATEDFROM"]        	=	"Created From"
      this["CREATEDON"]          	=	"Created On"
      this["CREATEDAT"]          	=	"At"
      this["COMMENTSFROM"]       	=	"Comments From"
      this["EXCEPTIONLOG"]       	=	"Conversion Exception Log"
      this["NOREMOVELINE"]       	=	"do not remove this line"
      this["CONVERTEDON"]        	=	"Converted on"
      this["TABLERELATIONS"]     	=	"Report contains related tables. SQL may need adjustment."
      this["HASFORMULAS"]        	=	"Report contains a formula which may need adjustment."
      this["HASOLEITEM"]         	=	"Report contains OLE item. Delete OLE item and retry conversion."
      this["HASGROUPFORMULA"]    	=	"Formulas not supported in report groups."
      this["RECSELCRIT"]         	=	"Record selection criteria not applied."
      this["DATAFILE"]           	=	"Data File"

   endif



   Return True


//////////////////////////Method iText (International Text)///////////////////
/* Method that returns strings in appropriate language translations
	Purpose: Used for translating dynamic strings
   Params:	cKey - a text key that identifies appropriate string
           	cVar - a char var that can be passed and used in the
            		 returned string. Ex:' File '+cVar+' is missing'
*/

Function iText
   Param cKey,cVar  //private declarations for use in &macro

   cKey = upper(cKey)

   Private cStr
   cStr = ''

   try

     cStr = this[cKey]
     cStr = &cStr

   catch(Exception e)

   endtry  

   return cStr


//////////////////////////Method SetLanguage//////////////////////////////
/*Protected method that determines what language version of Visual dBASE 7
  is installed when Wizard is run
*/

Function SetLanguage()
   Local cLanguage

   if file(home()+'VDB70011.DLL')
      cLanguage =  'Japanese'

   elseif file(home()+'VDB70007.DLL')
      cLanguage =  'German'

   elseif file(home()+'VDB7000A.DLL')
      cLanguage =  'Spanish'

   elseif file(home()+'VDB70010.DLL')
      cLanguage =  'Italian'

   elseif file(home()+'VDB7XXXX.DLL')
      cLanguage =  'French'

   else
      cLanguage = 'US English'

   endif

Return cLanguage

endclass  // End of Class
